PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Initialization/Deinitialization Functions
PDL API Reference » AUTONOMOUS ANALOG (Autonomous Analog Block) » General section of the API » Functions

## General Description

This set of functions is used to Init/Deinit the Autonomous Analog.

## Functions
void | Cy_AutAnalog_Clear (void)
| Clears the SAR ADC FIFO, the DAC LUT (the entire SRAM) and the State Transition Table, but leaves the Autonomous Analog configuration in the MMIO.
uint32_t | Cy_AutAnalog_Init (const cy_stc_autanalog_t *cfgAndStates)
| Initializes the entire Autonomous Analog with the configuration and states provided. More...
void | Cy_AutAnalog_Disable (void)
| Disables the Autonomous Analog and powers down the digital supply to reduce the leakage. More...
void | Cy_AutAnalog_Enable (void)
| Enable the Autonomous Analog for operation. More...
uint32_t | Cy_AutAnalog_LoadConfig (const cy_stc_autanalog_cfg_t *analogCfg)
| Configures the Autonomous Analog per provided settings. More...
cy_en_autanalog_status_t | Cy_AutAnalog_LoadStateTransitionTable (uint8_t numEntries, const cy_stc_autanalog_stt_t *stateTransitionTable)
| Configures the State Transition Table of the the Autonomous Controller per provided settings. More...
cy_en_autanalog_status_t | Cy_AutAnalog_UpdateStateTransitionTable (uint8_t numEntries, const cy_stc_autanalog_stt_t *stateTransitionTable, uint8_t startState)
| Add or replace states in the State Transition Table. More...
cy_en_autanalog_status_t | Cy_AutAnalog_PRB_LoadConfig (uint8_t prbIdx, const cy_stc_autanalog_prb_t *prbCfg)
| Configures the PRB instance per settings in the configuration structure. More...

## Function Documentation

## ◆ Cy_AutAnalog_Init()

uint32_t Cy_AutAnalog_Init | ( | const cy_stc_autanalog_t * | cfgAndStates | ) |

Initializes the entire Autonomous Analog with the configuration and states provided.

Parameters

  cfgAndStates | The pointer to the structure containing the configuration data and the content of the State Transition Table for the entire Autonomous Analog.

Returns
  The combined value of all the subsystem statuses, cy_en_autanalog_status_t.

## ◆ Cy_AutAnalog_Disable()

void Cy_AutAnalog_Disable | ( | void |  | ) |

Disables the Autonomous Analog and powers down the digital supply to reduce the leakage.

Note
  The configuration of the Autonomous Analog in the MMIO, the content of the State Transition Table, data in the SAR ADC FIFO, and the DAC LUT will be lost.

## ◆ Cy_AutAnalog_Enable()

void Cy_AutAnalog_Enable | ( | void |  | ) |

Enable the Autonomous Analog for operation.

Note
  This API does not start the Autonomous Controller, use Cy_AutAnalog_StartAutonomousControl for the actual start.

## ◆ Cy_AutAnalog_LoadConfig()

uint32_t Cy_AutAnalog_LoadConfig | ( | const cy_stc_autanalog_cfg_t * | analogCfg | ) |

Configures the Autonomous Analog per provided settings.

Note
  This function also
  - enables the IP block;
  - configures individual initialization delays for enabled subsystems;
  - loads trimming values for Autonomous Analog;

Parameters

  analogCfg | The pointer to the structure containing configuration data for the entire Autonomous Analog.

Returns
  The combined value of all the subsystem statuses, cy_en_autanalog_status_t.

## ◆ Cy_AutAnalog_LoadStateTransitionTable()

cy_en_autanalog_status_t Cy_AutAnalog_LoadStateTransitionTable | ( | uint8_t | numEntries,
|  | const cy_stc_autanalog_stt_t * | stateTransitionTable
| ) |  |

Configures the State Transition Table of the the Autonomous Controller per provided settings.

Parameters

  numEntries | Number of entries in the State Transition Table.
  stateTransitionTable | The pointer to an array containing configuration data for the entire State Transition Table.

Returns
  The combined value of all the subsystem statuses, cy_en_autanalog_status_t.

## ◆ Cy_AutAnalog_UpdateStateTransitionTable()

cy_en_autanalog_status_t Cy_AutAnalog_UpdateStateTransitionTable | ( | uint8_t | numEntries,
|  | const cy_stc_autanalog_stt_t * | stateTransitionTable,
|  | uint8_t | startState
| ) |  |

Add or replace states in the State Transition Table.

Parameters

  numEntries | The number of entries in the State Transition Table for add/replace.
  stateTransitionTable | The pointer to an array containing a new set of configuration data for the State Transition Table, to be added or replaced.
  startState | Defines the state in the State Transition Table from which the content update starts.

Returns
  Combined value of all the subsystem statuses, cy_en_autanalog_status_t.

## ◆ Cy_AutAnalog_PRB_LoadConfig()

cy_en_autanalog_status_t Cy_AutAnalog_PRB_LoadConfig | ( | uint8_t | prbIdx,
|  | const cy_stc_autanalog_prb_t * | prbCfg
| ) |  |

Configures the PRB instance per settings in the configuration structure.

Parameters

  prbIdx | Index of the PRB block within the Autonomous Analog infrastructure.
  prbCfg | The pointer to a structure containing configuration data for the PRB subsystem.

Returns
  The status of initialization, cy_en_autanalog_status_t.